<?php
/**
 * Advertisement - Shortcode Options
 */
add_action( 'init', 'cascara_advertisement_vc_map' );
if ( ! function_exists( 'cascara_advertisement_vc_map' ) ) {
  function cascara_advertisement_vc_map() {
    vc_map( array( 
      "name" => __( "Advertisement", 'cascara-core'),
      "base" => "cascara_advertisement",
      "description" => __( "Advertisement Shortcodes", 'cascara-core'),
      "icon" => "fa fa-adn color-red",
      "category" => CascaraLib::cascara_cat_name(),
      "params" => array(

        array(
          "type"      => 'attach_image',
          "heading"   => __('Upload Image', 'cascara-core'),
          "param_name" => "advertisement_image",
          "value"      => "",
          "description" => __( "Set your advertisement image.", 'cascara-core'),
          'edit_field_class'  => 'vc_col-md-6 vc_column vt_field_space',
        ),
        array(
          "type"      => 'textfield',
          "heading"   => __('Link', 'cascara-core'),
          "param_name" => "advertisement_link",
          "value"      => "",
          "description" => __( "Enter your advertisement link.", 'cascara-core'),
          'admin_label' => true,
        ),

        CascaraLib::vt_class_option(),

      )
    ) );
  }
}
