<?php
/* ==========================================================
  Advertisement
=========================================================== */
if ( !function_exists('cascara_advertisement_function')) {
  function cascara_advertisement_function( $atts, $content = true ) {

    extract(shortcode_atts(array(
      'advertisement_image'  => '',
      'advertisement_link'  => '',
      'class'  => '',
      
    ), $atts));

    // Lazy Load
    $theme_lazyload = cs_get_option('theme_lazyload');

    $image_url = wp_get_attachment_url( $advertisement_image );
    if(!$theme_lazyload) {
      $add_image = $image_url ? '<img src="'.$image_url.'" alt="ad">' : '';
    } else {
      $add_image = $image_url ? '<img class="lazyload" data-src="'.$image_url.'" src="'.CASCARA_IMAGES . '/1170x100.jpg" alt="ad">' : '';
    }
    $add_image_link = $advertisement_link ? '<a href="'.$advertisement_link.'" target="_blank">'.$add_image.'</a>' : $add_image;

    $output = '<div class="cscra-promotion '.$class.'">'.$add_image_link.'</div>';

    return $output;
  }
}
add_shortcode( 'cascara_advertisement', 'cascara_advertisement_function' );
