<?php
/*
 * All Cascara Theme Related Functions Files are Linked here
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/wp-themes
 */

/* Theme All Basic Setup */
require_once( CASCARA_FRAMEWORK . '/theme-support.php' );
require_once( CASCARA_FRAMEWORK . '/backend-functions.php' );
require_once( CASCARA_FRAMEWORK . '/frontend-functions.php' );
require_once( CASCARA_FRAMEWORK . '/enqueue-files.php' );
require_once( CASCARA_FRAMEWORK . '/tab-ajax-post.php' );
require_once( CASCARA_CS_FRAMEWORK . '/custom-style.php' );
require_once( CASCARA_CS_FRAMEWORK . '/config.php' );

/* Bootstrap Menu Walker */
require_once( CASCARA_FRAMEWORK . '/core/vt-mmenu/wp_bootstrap_navwalker.php' );

/* Install Plugins */
require_once( CASCARA_FRAMEWORK . '/plugins/notify/activation.php' );

/* Sidebars */
require_once( CASCARA_FRAMEWORK . '/core/sidebars.php' );

/* Aqua Resizer */
$img_resizer = cs_get_option('theme_img_resizer');
if(!$img_resizer) {
	get_template_part( 'inc/aq_resizer' );
}