<?php
$cascara_id    = ( isset( $post ) ) ? $post->ID : 0;
$cascara_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $cascara_id;
$cascara_meta  = get_post_meta( $cascara_id, 'page_type_metabox', true );

if ($cascara_meta) {
  $copy_style = $cascara_meta['copyright_style'];
} else {
  $copy_style = '';
}
if($copy_style === 'style-two'){
	$style_cls = ' copy-style-two';
} else {
	$style_cls = ' copyright-style-one';
}
	// Main Text
	$cascara_need_copyright = cs_get_option('need_copyright');
	$cascara_footer_copyright_layout = cs_get_option('footer_copyright_layout');

	if ($cascara_footer_copyright_layout === 'copyright-1') {
		$cascara_copyright_layout_class = 'col-sm-6';
		$cascara_copyright_seclayout_class = 'pull-right';
	} elseif ($cascara_footer_copyright_layout === 'copyright-2') {
		$cascara_copyright_layout_class = 'col-sm-6 pull-right';
		$cascara_copyright_seclayout_class = 'pull-left';
	} elseif ($cascara_footer_copyright_layout === 'copyright-3') {
		$cascara_copyright_layout_class = 'col-md-12';
		$cascara_copyright_seclayout_class = '';
	} else {
		$cascara_copyright_layout_class = '';
		$cascara_copyright_seclayout_class = '';
	}

	$cascara_secondary_text = cs_get_option('secondary_text');
	$cascara_copyright_text = cs_get_option('copyright_text');
	if (isset($cascara_need_copyright)) {
?>
<!-- Copyright Bar -->
	<div class="cscra-copyright <?php echo esc_attr($style_cls); ?>">
		<div class="row">
			<div class="<?php echo esc_attr($cascara_copyright_layout_class); ?>">
				<?php if($cascara_copyright_text) {
					echo '<p>'. do_shortcode($cascara_copyright_text) .'</p>';
				} else {
					echo '<p>'.esc_html__('&copy; 2020 VictorThemes - Elite Themeforest Author.' , 'cascara').'</p>';
				}
				?>
			</div>
			<?php if ($cascara_footer_copyright_layout != 'copyright-3') { ?>
			<div class="col-sm-6 <?php echo esc_attr($cascara_copyright_seclayout_class); ?>">
				<?php
					echo do_shortcode($cascara_secondary_text);
				?>
			</div>
			<?php } ?>
	  </div>
	</div>
<?php }
