<?php
/* ==========================================================
  Buy Advertisement Section
=========================================================== */
if ( !function_exists('cascara_buy_add_func')) {
  function cascara_buy_add_func( $atts, $content = NULL ) {

    extract(shortcode_atts(array(
      'open_link'  => '',
      'class'  => '',
      'add_image'  => '',
      'add_title' =>'',
      'add_banner_size' =>'',
      'add_content' =>'',
      'btn_text' =>'',
      'btn_text_link' =>'',
       // Styling
      'title_color' =>'',
      'title_size' =>'',
      'banner_text_color'=>'',
      'banner_text_size'=>'',
      'content_color'  => '',
      'content_size'  => '',
      // Btn Style
      'btn_text_color' =>'',
      'btn_text_size' =>'',
      'btn_bg_color' =>'',
      'btn_bg_hover_color' =>'',

    ), $atts));

    // Link Target
    $open_link = $open_link ? 'target="_blank"' : '';
    // Shortcode Style CSS
    $e_uniqid     = uniqid();
    $inline_style = '';

    // Text Color
     if ( $title_color || $title_size ) {
      $inline_style .= '.buy-add-content-'. $e_uniqid .' h3.advertise-info-title  {';
      $inline_style .= ( $title_color ) ? 'color:'. $title_color .';' : '';
      $inline_style .= ( $title_size ) ? 'font-size:'. cascara_core_check_px($title_size) .';' : '';
      $inline_style .= '}';
    }
    if ( $banner_text_color || $banner_text_size ) {
      $inline_style .= '.buy-add-content-'. $e_uniqid .' .buy-add-item h5 {';
      $inline_style .= ( $banner_text_color ) ? 'color:'. $banner_text_color .';' : '';
      $inline_style .= ( $banner_text_size ) ? 'font-size:'. cascara_core_check_px($banner_text_size) .';' : '';
      $inline_style .= '}';
    }
    if ( $content_color || $content_size ) {
      $inline_style .= '.buy-add-content-'. $e_uniqid .' .buy-add-content-section p  {';
      $inline_style .= ( $content_color ) ? 'color:'. $content_color .';' : '';
      $inline_style .= ( $content_size ) ? 'font-size:'. cascara_core_check_px($content_size) .';' : '';
      $inline_style .= '}';
    }
    // Button Styles
    if ( $btn_text_color || $btn_text_size || $btn_bg_color) {
      $inline_style .= '.buy-add-content-'. $e_uniqid .' .cscra-btn-wrap a.cscra-btn  {';
      $inline_style .= ( $btn_text_color ) ? 'color:'. $btn_text_color .';' : '';
      $inline_style .= ( $btn_text_size ) ? 'font-size:'. cascara_core_check_px($btn_text_size) .';' : '';
      $inline_style .= ( $btn_bg_color ) ? 'background-color:'. $btn_bg_color .';' : '';
      $inline_style .= '}';
    }
    if (  $btn_bg_hover_color) {
      $inline_style .= '.buy-add-content-'. $e_uniqid .' .cscra-btn-wrap:hover a.cscra-btn  {';
      $inline_style .= ( $btn_bg_hover_color ) ? 'background-color:'. $btn_bg_hover_color .';' : '';
      $inline_style .= '}';
    }
    // add inline style
    cascara_add_inline_style( $inline_style );
    $styled_class  = ' buy-add-content-'. $e_uniqid;

    $output = '<section class="cscra-buy-add '.$styled_class. $class.'">
                <div class="buy-add-wrap">';

              $output .= '<div class="item"><div class="item-class"><div class="buy-add-item"><div class="row">
                          <div class="col-lg-6">
                        <div class="cscra-image cscra-item">
                          <div class="cscra-table-wrap">
                            <div class="cscra-align-wrap">';

              $image_url = wp_get_attachment_url($add_image);

              $output .= '<img src="'. $image_url .'" alt=""></div></div></div></div> 
              <div class="col-lg-6"> 
                <div class="buy-add-content-section cscra-item"><div class="cscra-table-wrap">
                        <div class="cscra-align-wrap"><h3 class="advertise-info-title">'.$add_title.'</h3><h5>'.$add_banner_size.'</h5><p>'.$add_content.'</p><div class="cscra-btn-wrap"><a href="'.$btn_text_link.'" '.$open_link.' class="cscra-btn"><span class="cscra-btn-text">'.$btn_text.'</span></a></div>
                        </div>';
              $output .= '</div></div></div></div></div>';

    $output .= '</div></section>';

    return $output;
  }
}
add_shortcode( 'cscra_buy_add', 'cascara_buy_add_func' );
